curl --request GET \
--url https://api.cloudglue.dev/v1/transcribe/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/transcribe/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/transcribe/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"url": "<string>",
"created_at": 123,
"transcribe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_visual_scene_description": true,
"enable_scene_text": true
},
"data": {
"content": "<string>",
"title": "<string>",
"summary": "<string>",
"segment_summary": [
{
"title": "<string>",
"summary": "<string>",
"start_time": 123,
"end_time": 123
}
],
"visual_scene_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"scene_text": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"speech": [
{
"speaker": "<string>",
"text": "<string>",
"start_time": 123,
"end_time": 123,
"words": [
{
"word": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
],
"audio_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
]
},
"error": "<string>",
"file": {
"id": "<string>",
"uri": "<string>",
"bytes": 123,
"created_at": 123,
"filename": "<string>",
"metadata": {},
"media_info": {
"duration_seconds": 123,
"width": 123,
"height": 123,
"sample_rate": 123,
"channels": 123,
"bitrate": 123,
"format": "<string>",
"has_audio": true
},
"video_info": {
"duration_seconds": 123,
"height": 123,
"width": 123,
"format": "<string>",
"has_audio": true
},
"thumbnail_url": "<string>",
"source_metadata": {
"source_type": "grain",
"grain_recording_id": "<string>",
"title": "<string>",
"start_datetime": "2023-11-07T05:31:56Z",
"end_datetime": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"grain_url": "<string>",
"thumbnail_url": "<string>",
"tags": [
"<string>"
],
"teams": [
{
"id": "<string>",
"name": "<string>"
}
],
"meeting_type": {
"id": "<string>",
"name": "<string>",
"scope": "<string>"
},
"participants": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"confirmed_attendee": true,
"hs_contact_id": "<string>"
}
],
"highlights": [
{}
],
"ai_summary": {
"text": "<string>"
},
"ai_action_items": [
{
"timestamp_ms": 123,
"text": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>",
"user_id": "<string>"
}
}
],
"ai_template_sections": [
{}
],
"calendar_event": {
"ical_uid": "<string>"
},
"hubspot": {
"hubspot_company_ids": [
"<string>"
],
"hubspot_deal_ids": [
"<string>"
]
}
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Get Transcript
Retrieve the current state of a transcription job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the transcription job
Query Parameters
Format for the response
json, markdown Include the file's user-defined metadata and source metadata. In markdown these render as a ## Metadata section; in JSON they populate file.metadata and file.source_metadata.
Response
Successful response with job details
pending, processing, completed, failed, not_applicable The URL of the processed video
Unix timestamp in milliseconds when the job was created
Configuration for rich transcription from videos
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error message if status is 'failed'
The file this document describes. metadata and source_metadata are only included when include_metadata is true.
Show child attributes
Show child attributes